Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 

"Invalid device type: The OS version, number of contexts (single or multiple), and operational mode (routed or transparent) in this configuration are not supported on the Hardware: ASA5520-K8" error message appears

Core issue

Unable to add the ASA firewall into the CSM 3.0.1 (SP1), and the "Invalid device type: The OS version, number of contexts (single or multiple), and operational mode (routed or transparent) in this configuration are not supported on the Hardware: ASA5520-K8" error message appears

This issue is due to the presence of Cisco bug ID CSCsg34759. When this issue occurs the Invalid device type: The OS version, number of contexts (single or multiple), and operational mode (routed or transparent) in this configuration are not supported on the Hardware: ASA5520-K8 error message appears.

This issue occurs because the hardware ID shows the ASA 5520 as ASA5520-K8 rather than just plain ASA5520.

An additonal -K8 is added to the original Base Product ID, which is observed when the show version command is issued through the Command Line Interface (CLI).

This an example of the show version output with the added -K8 designation:

ciscoasa(config)#show version

Cisco Adaptive Security Appliance Software Version 7.2(2)

Compiled on Wed 22-Nov-06 14:16 by builders System image file is "disk0:/asa722-k8.bin"
Config file at boot was "startup-config"

ciscoasa up 48 days 22 hours

Hardware: ASA5540-K8, 1024 MB RAM, CPU Pentium 4 2000 MHz
Internal ATA Compact Flash, 64MB
BIOS Flash AT49LW080 @ 0xffe00000, 1024KB

Resolution

In order to resolve this issue, apply the CSM 3.0.1 Service Pack 1 Patch for Field Notice 62678 patch on the Cisco Security Manager (CSM) in order to support the importation of the ASA with the -K8 suffix.

This patch is available on Cisco Downloads.

Refer to Field Notice: FN - 62678 - Change to The ASA Base Product ID Has Caused Confusion for more information about the -K8 suffix.

Complete these steps in order to apply this patch:

  1. Download the csm-301-sp1-patch-for-fn-62678.zip patch file to the CSM 3.0.1 (SP1) server.

  2. Unzip the contents of this file. This zip file contains two files:

    • csm-301-sp1-patch-for-fn-62678-readme.txt
    • patch-for-fn-62678.zip
  3. Unzip the contents of the patch-for-fn-62678.zip file into the CSCOpx directory.Choose the Use folder names option so that all of the files are placed in the correct folder.
  4. Restart the Cisco Security Manager Daemon Manager service:
      

    1. Choose Administrative Tools > Services from the Windows Control Panel.


    2. Right-click the Cisco Security Manager Daemon Manager service, and choose Restart.  

Note: If an ASA device that is currently managed by the Cisco Security Manager is upgraded out of band, remove the device from the Cisco Security Manager, apply this patch, and then reimport the device in order to reduce any possible incompatibility issues.

Problem Type

Other hardware issues

Product Family

ASA Hardware & Software

Cisco Security Manager

Version history
Revision #:
1 of 1
Last update:
‎06-22-2009 06:08 PM
Updated by:
 
Labels (1)
Comments

Hi ,

I am getting same error.

ASA-5508

CSM version - 4.8.0 

Please Help.